C     *******************
      FUNCTION DERFC(ARG)
C     *******************
C     ROUTINE FOR ERFC(ARG) BY SERIES EXPANSION
C     DOUBLE PRECISION VERSION
C     PROGRAMMED BY E.A. SUDICKY
C     FORTRAN77 VERSION CJN 95/05
C
C     DECLARATION OF VARIABLES
C     ========================
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
C
      PI = 4.D0*DATAN(1.D0)
C
      XOX    = DABS(ARG)
      sumxox = 1.d0
C
      IF(XOX.LE.3.4D0) THEN
C
C        SERIES EXPANSION IS FOR ARG < = 3.4
C        -----------------------------------
         FACT   = 1.D0
         IL     = 1
         UOX    = XOX*XOX
         US     = UOX
5085     FACT   = FACT*IL
         ZOZ    = -1.D0
         IF((IL/2)*2.EQ.IL) ZOZ = 1.D0
         TXOX=UOX/((2.D0*IL+1.D0)*FACT)
         SUMXOX = SUMXOX+ZOZ*TXOX
         UOX    = UOX*US
         IL     = IL+1
C
C        STOP THE SUMMATION WHEN THE CURRENT TERM
C        IS LESS THAN 1E-20
C
         IF(TXOX.GT.1.D-20) THEN
            GOTO 5085
         ELSE
            DERFC = 1.D0-2.D0*XOX/DSQRT(PI)*SUMXOX
            IF(ARG.LT.0.0D0) DERFC = 2.D0-DERFC
            RETURN
         END IF
C
      ELSE
C
         IF(XOX.LE.14.D0) THEN
C
C           SERIES EXPANSION IS FOR ARG > 3.4
C           ---------------------------------
            UOX    = 2.D0*XOX*XOX
            LJL    = 1
            JLJ    = 1
            FACT   = 1.D0
5300        OLDFAC = FACT
            FACT   = FACT/UOX*JLJ
C
C           STOP THE SUMMATION WHEN THE CURRENT TERM BECOMES LARGER
C           THAN THE PREVIOUS TERM
C
            IF(FACT.le.OLDFAC) THEN
               ZOZ    = -1.D0
               IF((LJL/2)*2.EQ.LJL) ZOZ=1.D0
               TXOX   = ZOZ*FACT
               SUMXOX = SUMXOX+TXOX
               LJL    = LJL+1
               JLJ    = JLJ+2
               goto 5300
            End if
            DERFC = DEXP(-XOX*XOX)/DSQRT(PI)/XOX*SUMXOX
            IF(ARG.LT.0.D0) DERFC=2.D0-DERFC
         ELSE
C
C           VERY LARGE ARGUMENT DEFAULTS
C           ----------------------------
            IF(ARG.GE.0.D0) THEN
               DERFC = 0.D0
            ELSE
               DERFC = 2.D0
            END IF
            RETURN
         END IF
C
      END IF
      END
